Build Service - List Build Services
List build services resource.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AppPlatform/Spring/{serviceName}/buildServices?api-version=2023-12-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
service
|
path | True |
string pattern: ^[a-z][a-z0-9-]*[a-z0-9]$ |
The name of the Service resource. |
|
subscription
|
path | True |
string |
Gets subscription ID which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success. The response describes the Build Services. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
BuildService_ListBuildServices
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/buildServices?api-version=2023-12-01
Sample response
{
"value": [
{
"properties": {
"kPackVersion": "0.3.1",
"provisioningState": "Succeeded",
"resourceRequests": {
"cpu": "200m",
"memory": "4Gi"
}
},
"systemData": {
"createdBy": "sample-user",
"createdByType": "User",
"createdAt": "2021-08-11T03:16:03.944Z",
"lastModifiedBy": "sample-user",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-08-11T03:17:03.944Z"
},
"type": "Microsoft.AppPlatform/Spring/buildServices",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/buildServices/default",
"name": "default"
}
],
"nextLink": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/buildServices?$page=2"
}
Definitions
| Name | Description |
|---|---|
|
Build |
Build service resource payload |
|
Build |
Object that includes an array of Build service resources and a possible link for next set |
|
Build |
Build service resource properties payload |
|
Build |
Provisioning state of the KPack build service |
|
Cloud |
An error response from the service. |
|
Cloud |
An error response from the service. |
|
created |
The type of identity that created the resource. |
|
last |
The type of identity that last modified the resource. |
|
Resource |
Deployment resource request payload |
|
System |
Metadata pertaining to creation and last modification of the resource. |
BuildService
Build service resource payload
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource Id for the resource. |
| name |
string |
The name of the resource. |
| properties |
Properties of the build resource |
|
| systemData |
Metadata pertaining to creation and last modification of the resource. |
|
| type |
string |
The type of the resource. |
BuildServiceCollection
Object that includes an array of Build service resources and a possible link for next set
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URL client should use to fetch the next page (per server side paging). It's null for now, added for future use. |
| value |
Collection of Build service resources |
BuildServiceProperties
Build service resource properties payload
| Name | Type | Description |
|---|---|---|
| containerRegistry |
string |
The resource id of the container registry used in this build service. |
| kPackVersion |
string |
The installed KPack version in this build service. |
| provisioningState |
Provisioning state of the KPack build service |
|
| resourceRequests |
The runtime resource configuration of this build service. |
BuildServiceProvisioningState
Provisioning state of the KPack build service
| Value | Description |
|---|---|
| Creating | |
| Updating | |
| Succeeded | |
| Failed | |
| Deleting |
CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
An error response from the service. |
CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
lastModifiedByType
The type of identity that last modified the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ResourceRequests
Deployment resource request payload
| Name | Type | Description |
|---|---|---|
| cpu |
string |
Required CPU. 1 core can be represented by 1 or 1000m. This should be 500m or 1 for Basic tier, and {500m, 1, 2, 3, 4} for Standard tier. |
| memory |
string |
Required memory. 1 GB can be represented by 1Gi or 1024Mi. This should be {512Mi, 1Gi, 2Gi} for Basic tier, and {512Mi, 1Gi, 2Gi, ..., 8Gi} for Standard tier. |
SystemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource modification (UTC). |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |